What you need to know about the Meltdown and Spectre vulnerabilities in Intel chips

What you need to know about the Meltdown and Spectre vulnerabilities in Intel chips

Blogimg-What-you-need-to-know-about-the-Meltdown-and-Spectre-vulnerabilities-in-Intel-chips

By now, you probably heard through the media or other outlets about the Meltdown and Spectre vulnerability in Intel and AMD chips. These vulnerabilities affect most PCs and servers, and can be exploited to allow an attacker to read sensitive information, such as passwords, from protected memory. The Spectre flaw also affects AMD chips, but is considerably more difficult to exploit, as well as a small number of Arm-based processors.

Microsoft released a patch (KB4056892) today and while we advocate installation of out-of-band critical patches immediately, we advise caution with this patch as there have already been numerous reports of the patch negatively impacting anti-virus applications and rendering systems unusable. The patch is also known to increase CPU utilization.

If you have concerns about the effect this vulnerability has on your PCs and servers, contact us at [email protected].